## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# No tests included yet.
%bcond_with     tests

%global         srcname     azure-mgmt-msi

Name:           python-%{srcname}
Version:        6.0.1
Release:        %autorelease
Summary:        Microsoft Azure MSI Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version} zip}

BuildArch:      noarch

Epoch:          1

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure MSI Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%if %{with tests}
%check
%pytest
%endif


%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{srcname} -f %{pyproject_files}
%doc CHANGELOG.md README.md


%changelog
* Tue May 24 2022 Major Hayden <major@mhtx.net> 1:6.0.1-1
- Update to 6.0.1

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 1:6.0.0-1
- Update to 6.0.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1:0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1:0.2.0-4
- Move obsoletes into subpackage

* Mon Jul 26 2021 Major Hayden <major@mhtx.net> 1:0.2.0-3
- Remove conflicting namespace package files

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 1:0.2.0-2
- Add epoch number for 0.2.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> 1:0.2.0-1
- Downgrade to 0.2.0

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 1.0.0-1
- Initial import (#1971836)
